# Uses of Interface
org.apache.sling.api.SlingHttpServletRequest

Packages that use SlingHttpServletRequest
Package
Description
org.apache.sling.api.request
org.apache.sling.api.request.builder
org.apache.sling.api.scripting
org.apache.sling.api.servlets
org.apache.sling.api.uri
org.apache.sling.api.wrappers

## Uses of SlingHttpServletRequest in org.apache.sling.api.request

Methods in org.apache.sling.api.request with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`static boolean`
RequestUtil.`handleIfModifiedSince(SlingHttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
Deprecated.
Use `RequestUtil.handleIfModifiedSince(SlingJakartaHttpServletRequest, HttpServletResponse)` instead.

## Uses of SlingHttpServletRequest in org.apache.sling.api.request.builder

Methods in org.apache.sling.api.request.builder that return SlingHttpServletRequest
Modifier and Type
Method
Description
`SlingHttpServletRequest`
SlingHttpServletRequestBuilder.`build()`
Deprecated.
Use `SlingHttpServletRequestBuilder.buildJakartaRequest()` instead
Methods in org.apache.sling.api.request.builder with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`@NotNull SlingHttpServletRequestBuilder`
SlingHttpServletRequestBuilder.`useRequestDispatcherFrom(SlingHttpServletRequest request)`
Deprecated.
Use `SlingHttpServletRequestBuilder.useRequestDispatcherFrom(SlingJakartaHttpServletRequest)` instead

## Uses of SlingHttpServletRequest in org.apache.sling.api.scripting

Methods in org.apache.sling.api.scripting that return SlingHttpServletRequest
Modifier and Type
Method
Description
`@Nullable SlingHttpServletRequest`
SlingBindings.`getRequest()`
Deprecated.
Use `SlingBindings.getJakartaRequest()` instead.
`@NotNull SlingHttpServletRequest`
SlingScriptHelper.`getRequest()`
Deprecated.
Use `SlingScriptHelper.getJakartaRequest()` instead.
Methods in org.apache.sling.api.scripting with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`void`
SlingBindings.`setRequest(SlingHttpServletRequest request)`
Deprecated.
Use `SlingBindings.setJakartaRequest(SlingJakartaHttpServletRequest)` instead.

## Uses of SlingHttpServletRequest in org.apache.sling.api.servlets

Methods in org.apache.sling.api.servlets with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`boolean`
OptingServlet.`accepts(@NotNull SlingHttpServletRequest request)`
Deprecated.
Examines the request, and return `true` if this servlet is willing to handle the request.
`protected void`
SlingAllMethodsServlet.`doDelete(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)` method to handle an HTTP DELETE request.
`protected void`
SlingSafeMethodsServlet.`doGeneric(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingSafeMethodsServlet.service(SlingHttpServletRequest, SlingHttpServletResponse)` method to handle a request for an HTTP method, which is not known and handled by this class or its extension.
`protected void`
SlingSafeMethodsServlet.`doGet(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingSafeMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)` method to handle an HTTP GET request.
`protected void`
SlingSafeMethodsServlet.`doHead(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Handles the HEAD method.
`protected void`
SlingSafeMethodsServlet.`doOptions(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Handles the OPTIONS method by setting the HTTP `Allow` header on the response depending on the methods declared in this class.
`protected void`
SlingAllMethodsServlet.`doPost(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)` method to handle an HTTP POST request.
`protected void`
SlingAllMethodsServlet.`doPut(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingAllMethodsServlet.mayService(SlingHttpServletRequest, SlingHttpServletResponse)` method to handle an HTTP PUT request.
`protected void`
SlingSafeMethodsServlet.`doTrace(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Handles the TRACE method by just returning the list of all header values in the response body.
`void`
ErrorHandler.`handleError(int status, String message, SlingHttpServletRequest request, SlingHttpServletResponse response)`
Deprecated.
Called to render a response for a HTTP status code.
`void`
ErrorHandler.`handleError(Throwable throwable, SlingHttpServletRequest request, SlingHttpServletResponse response)`
Deprecated.
Called to render a response for an uncaught `Throwable`.
`protected void`
SlingSafeMethodsServlet.`handleMethodNotImplemented(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Helper method which causes an appropriate HTTP response to be sent for an unhandled HTTP request method.
`protected boolean`
SlingAllMethodsServlet.`mayService(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Tries to handle the request by calling a Java method implemented for the respective HTTP request method.
`protected boolean`
SlingSafeMethodsServlet.`mayService(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Tries to handle the request by calling a Java method implemented for the respective HTTP request method.
`javax.servlet.Servlet`
ServletResolver.`resolveServlet(SlingHttpServletRequest request)`
Deprecated.
Use `ServletResolver.resolve(SlingJakartaHttpServletRequest)` instead.
`protected void`
SlingSafeMethodsServlet.`service(@NotNull SlingHttpServletRequest request, @NotNull SlingHttpServletResponse response)`
Deprecated.
Called by the `SlingSafeMethodsServlet.service(ServletRequest, ServletResponse)` method to handle the HTTP request.

## Uses of SlingHttpServletRequest in org.apache.sling.api.uri

Methods in org.apache.sling.api.uri with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`createFrom(SlingHttpServletRequest request)`
Deprecated.
Use `SlingUriBuilder.createFrom(SlingJakartaHttpServletRequest)` instead.

## Uses of SlingHttpServletRequest in org.apache.sling.api.wrappers

Classes in org.apache.sling.api.wrappers that implement SlingHttpServletRequest
Modifier and Type
Class
Description
`class`
`JakartaToJavaxRequestWrapper`
Wrapper for `SlingJakartaHttpServletRequest` to adapt it to the Javax Servlet API.
`class`
`SlingHttpServletRequestWrapper`
Deprecated.
Use `SlingJakartaHttpServletRequestWrapper`
Methods in org.apache.sling.api.wrappers that return SlingHttpServletRequest
Modifier and Type
Method
Description
`SlingHttpServletRequest`
SlingHttpServletRequestWrapper.`getSlingRequest()`
Deprecated.
Return the original `SlingHttpServletRequest` object wrapped by this.
`static @Nullable SlingHttpServletRequest`
JakartaToJavaxRequestWrapper.`toJavaxRequest(@Nullable SlingJakartaHttpServletRequest request)`
Create a new wrapper
Methods in org.apache.sling.api.wrappers with parameters of type SlingHttpServletRequest
Modifier and Type
Method
Description
`boolean`
JakartaToJavaxServletWrapper.JakartaToJavaxOptingServletWrapper.`accepts(@NotNull SlingHttpServletRequest request)`
`static @Nullable SlingJakartaHttpServletRequest`
JavaxToJakartaRequestWrapper.`toJakartaRequest(@Nullable SlingHttpServletRequest request)`
Create a new wrapper
Constructors in org.apache.sling.api.wrappers with parameters of type SlingHttpServletRequest
Modifier
Constructor
Description
``
`JavaxToJakartaRequestWrapper(SlingHttpServletRequest wrappedRequest)`
``
`SlingHttpServletRequestWrapper(SlingHttpServletRequest wrappedRequest)`
Deprecated.
Create a wrapper for the supplied wrappedRequest